Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0004505
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 08. Project and service managementminoralways2008-07-24 18:182008-11-26 20:20
ReporterrafarodaView Statuspublic 
Assigned Torafaroda 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision9008
ProjectionnoneETAnoneTarget Version2.50
OSLinux 32 bitDatabasePostgreSQLJava version1.5
OS VersionUbuntu 7.10Database version8.3Ant version1.7
Product VersionpiSCM revision5993 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0004505: Project Evolution report

DescriptionNowadays, there is no way in Openbravo ERP to track the evolution of projects.
Proposed SolutionTaking into account a Reference date (RD) - that will be today by default -, make a simple Project Evolution report with the following indicators for each project/phase/task:
* Starting date (SD)
* Contract date (CD)
* Ending date (ED)
* Project status (at a project level)
* Completed (at a phase and task level - Yes/No)
* Days elapsed (DE) from the Starting date of the project/phase/task to a Reference date: DE = RD - SD
* Time burned (TB) in % calculated as the quotient of the difference between the Reference date and the Starting date and the difference between the Contract date or the Ending date of the project/phase/task and its Starting date: TB = ((RD-SD)/(CD-SD))*100 or TB = ((RD-SD)/(ED-SD))*100
* ETA (Estimated Time of Arrival) to complete a project in % as the number of the completed tasks and phases relative to the total number of tasks and phases of the project. If all phases and tasks have starting and ending dates set correctly, longer ones will have more weight than shorter ones.
* Days delayed (DD) as the difference between the Ending date and the Contract date or between the Reference date and the Contract date: DD = ED-CD or DD = RD - CD
* Cumulative days delayed (CDD) of a project as the accumulated days delayed from the first to the last task or phase.

Some considerations:
* When we say Starting date (SD), in case that it is not set, Creation date (CreaD) would be taken.
* When we say Contract date (CD), in case that it is not set or does not exist, Ending date (ED) would be taken.
* In case that any date for its calculation is missing, the corresponding indicator (Days elapsed, Burned time, ETA, Days delayed and Cumulative days delayed) would be left blank.

Project filters:
* Reference date (today by default - mandatory)
* From/To starting date
* From/To contract date
* From/To ending date
* Project
* Business partner
* Person in charge
* Project type
* Project category
* Project status
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 00005542.50 closedrafaroda Projects have no Starting Date field 
depends on feature request 00045072.50 closedrafaroda Project Phases and Project Tasks have no Contract date 
blocks feature request 0000502 acknowledgedrmorley Projects enhancements 
blocks feature request 0004506 acknowledgedrmorley Enhanced Project Evolution report 

-  Notes
(0009677)
rafaroda (reporter)
2008-10-22 10:37

Project: http://wiki.openbravo.com/wiki/Projects/Project_Evolution_Report [^]

- Issue History
Date Modified Username Field Change
2008-07-24 18:18 rafaroda New Issue
2008-07-24 18:18 rafaroda Assigned To => rafaroda
2008-07-24 18:18 rafaroda sf_bug_id 0 => 2026937
2008-07-24 18:19 rafaroda Relationship added blocks 0000502
2008-07-24 18:19 rafaroda Relationship added depends on 0000554
2008-07-24 18:19 rafaroda Status new => scheduled
2008-07-24 18:19 rafaroda fix_in_branch => trunk
2008-07-24 18:31 rafaroda Relationship added blocks 0004506
2008-07-24 18:44 rafaroda Relationship added depends on 0004507
2008-10-22 10:37 rafaroda Status scheduled => resolved
2008-10-22 10:37 rafaroda svn_revision => 9008
2008-10-22 10:37 rafaroda Resolution open => fixed
2008-10-22 10:37 rafaroda Note Added: 0009677
2008-11-26 20:20 pjuvara Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker